HttpQueryString::__construct
HttpQueryString::mod
HttpQueryString
PHP Manual

# HttpQueryString::get

(PECL pecl_http >= 0.22.0)

HttpQueryString::get — Get the query string or a part thereof

### Description

public mixed HttpQueryString::get ([ string `$key` [, mixed `$type` = 0 [, mixed `$defval` = `NULL` [, bool `$delete` = false ]]]] )

Get the query string or a part thereof

### Parameters

`key`

  Key of the query string parameter to retrieve

`type`

  Variable type to enforce for the returned value

  Either one of the HttpQueryString::TYPE_* constants or a type abbreviation - "b" for bool, "i" for int, "f" for float, "s" for string, "a" for array and "o" for a stdClass object.

`defval`

  Default value if `key` does not exist

`delete`

  Whether to remove `key` from the query string

### Return Values

Returns the value of the query string param or the whole query string if `key` was not specified. Returns `defval` if the specified `key` does not exist.

HttpQueryString::__construct
HttpQueryString::mod
HttpQueryString
PHP Manual